text-show-3.10.5: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

TextShow.GHC.RTS.Flags

Contents

- Orphan instances

Description

`TextShow` instances for data types in the `Flags` module. Only provided if using `base-4.8.0.0` or later.

Since: 2

# Orphan instances

TextShow CCFlags Source # | Since: 2
Instance details Methods showbPrec :: Int -> CCFlags -> Builder Source # showb :: CCFlags -> Builder Source # showbList :: [CCFlags] -> Builder Source # showtPrec :: Int -> CCFlags -> Text Source # showt :: CCFlags -> Text Source # showtList :: [CCFlags] -> Text Source # showtlPrec :: Int -> CCFlags -> Text Source # showtl :: CCFlags -> Text Source # showtlList :: [CCFlags] -> Text Source #
TextShow ConcFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ConcFlags -> Builder Source #

showb :: ConcFlags -> Builder Source #

showbList :: [ConcFlags] -> Builder Source #

showtPrec :: Int -> ConcFlags -> Text Source #

showt :: ConcFlags -> Text Source #

showtList :: [ConcFlags] -> Text Source #

showtlPrec :: Int -> ConcFlags -> Text Source #

showtl :: ConcFlags -> Text Source #

showtlList :: [ConcFlags] -> Text Source #

TextShow DebugFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> DebugFlags -> Builder Source #

showb :: DebugFlags -> Builder Source #

showbList :: [DebugFlags] -> Builder Source #

showtPrec :: Int -> DebugFlags -> Text Source #

showt :: DebugFlags -> Text Source #

showtList :: [DebugFlags] -> Text Source #

showtlPrec :: Int -> DebugFlags -> Text Source #

showtl :: DebugFlags -> Text Source #

showtlList :: [DebugFlags] -> Text Source #

TextShow DoCostCentres Source # | Since: 2.1

Instance details

Methods

showbPrec :: Int -> DoCostCentres -> Builder Source #

showb :: DoCostCentres -> Builder Source #

showbList :: [DoCostCentres] -> Builder Source #

showtPrec :: Int -> DoCostCentres -> Text Source #

showt :: DoCostCentres -> Text Source #

showtList :: [DoCostCentres] -> Text Source #

showtlPrec :: Int -> DoCostCentres -> Text Source #

showtl :: DoCostCentres -> Text Source #

showtlList :: [DoCostCentres] -> Text Source #

TextShow DoHeapProfile Source # | Since: 2.1

Instance details

Methods

showbPrec :: Int -> DoHeapProfile -> Builder Source #

showb :: DoHeapProfile -> Builder Source #

showbList :: [DoHeapProfile] -> Builder Source #

showtPrec :: Int -> DoHeapProfile -> Text Source #

showt :: DoHeapProfile -> Text Source #

showtList :: [DoHeapProfile] -> Text Source #

showtlPrec :: Int -> DoHeapProfile -> Text Source #

showtl :: DoHeapProfile -> Text Source #

showtlList :: [DoHeapProfile] -> Text Source #

TextShow DoTrace Source # | Since: 2.1
Instance details Methods showbPrec :: Int -> DoTrace -> Builder Source # showb :: DoTrace -> Builder Source # showbList :: [DoTrace] -> Builder Source # showtPrec :: Int -> DoTrace -> Text Source # showt :: DoTrace -> Text Source # showtList :: [DoTrace] -> Text Source # showtlPrec :: Int -> DoTrace -> Text Source # showtl :: DoTrace -> Text Source # showtlList :: [DoTrace] -> Text Source #
TextShow GCFlags Source # | Since: 2
Instance details Methods showbPrec :: Int -> GCFlags -> Builder Source # showb :: GCFlags -> Builder Source # showbList :: [GCFlags] -> Builder Source # showtPrec :: Int -> GCFlags -> Text Source # showt :: GCFlags -> Text Source # showtList :: [GCFlags] -> Text Source # showtlPrec :: Int -> GCFlags -> Text Source # showtl :: GCFlags -> Text Source # showtlList :: [GCFlags] -> Text Source #
TextShow GiveGCStats Source # | Since: 2.1

Instance details

Methods

showbPrec :: Int -> GiveGCStats -> Builder Source #

showb :: GiveGCStats -> Builder Source #

showbList :: [GiveGCStats] -> Builder Source #

showtPrec :: Int -> GiveGCStats -> Text Source #

showt :: GiveGCStats -> Text Source #

showtList :: [GiveGCStats] -> Text Source #

showtlPrec :: Int -> GiveGCStats -> Text Source #

showtl :: GiveGCStats -> Text Source #

showtlList :: [GiveGCStats] -> Text Source #

TextShow IoSubSystem Source # | Since: 3.9

Instance details

Methods

showbPrec :: Int -> IoSubSystem -> Builder Source #

showb :: IoSubSystem -> Builder Source #

showbList :: [IoSubSystem] -> Builder Source #

showtPrec :: Int -> IoSubSystem -> Text Source #

showt :: IoSubSystem -> Text Source #

showtList :: [IoSubSystem] -> Text Source #

showtlPrec :: Int -> IoSubSystem -> Text Source #

showtl :: IoSubSystem -> Text Source #

showtlList :: [IoSubSystem] -> Text Source #

TextShow MiscFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> MiscFlags -> Builder Source #

showb :: MiscFlags -> Builder Source #

showbList :: [MiscFlags] -> Builder Source #

showtPrec :: Int -> MiscFlags -> Text Source #

showt :: MiscFlags -> Text Source #

showtList :: [MiscFlags] -> Text Source #

showtlPrec :: Int -> MiscFlags -> Text Source #

showtl :: MiscFlags -> Text Source #

showtlList :: [MiscFlags] -> Text Source #

TextShow ParFlags Source # | Only available with `base-4.10.0.0` or later. Since: 3.3

Instance details

Methods

showbPrec :: Int -> ParFlags -> Builder Source #

showb :: ParFlags -> Builder Source #

showbList :: [ParFlags] -> Builder Source #

showtPrec :: Int -> ParFlags -> Text Source #

showt :: ParFlags -> Text Source #

showtList :: [ParFlags] -> Text Source #

showtlPrec :: Int -> ParFlags -> Text Source #

showtl :: ParFlags -> Text Source #

showtlList :: [ParFlags] -> Text Source #

TextShow ProfFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ProfFlags -> Builder Source #

showb :: ProfFlags -> Builder Source #

showbList :: [ProfFlags] -> Builder Source #

showtPrec :: Int -> ProfFlags -> Text Source #

showt :: ProfFlags -> Text Source #

showtList :: [ProfFlags] -> Text Source #

showtlPrec :: Int -> ProfFlags -> Text Source #

showtl :: ProfFlags -> Text Source #

showtlList :: [ProfFlags] -> Text Source #

TextShow RTSFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> RTSFlags -> Builder Source #

showb :: RTSFlags -> Builder Source #

showbList :: [RTSFlags] -> Builder Source #

showtPrec :: Int -> RTSFlags -> Text Source #

showt :: RTSFlags -> Text Source #

showtList :: [RTSFlags] -> Text Source #

showtlPrec :: Int -> RTSFlags -> Text Source #

showtl :: RTSFlags -> Text Source #

showtlList :: [RTSFlags] -> Text Source #

TextShow TickyFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> TickyFlags -> Builder Source #

showb :: TickyFlags -> Builder Source #

showbList :: [TickyFlags] -> Builder Source #

showtPrec :: Int -> TickyFlags -> Text Source #

showt :: TickyFlags -> Text Source #

showtList :: [TickyFlags] -> Text Source #

showtlPrec :: Int -> TickyFlags -> Text Source #

showtl :: TickyFlags -> Text Source #

showtlList :: [TickyFlags] -> Text Source #

TextShow TraceFlags Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> TraceFlags -> Builder Source #

showb :: TraceFlags -> Builder Source #

showbList :: [TraceFlags] -> Builder Source #

showtPrec :: Int -> TraceFlags -> Text Source #

showt :: TraceFlags -> Text Source #

showtList :: [TraceFlags] -> Text Source #

showtlPrec :: Int -> TraceFlags -> Text Source #

showtl :: TraceFlags -> Text Source #

showtlList :: [TraceFlags] -> Text Source #